package com.mtcarpenter.mall.model;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

public class UmsCompanyInfo implements Serializable {
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "供应商名称")
    private String compName;

    @ApiModelProperty(value = "供应商照片")
    private String compImgs;

    @ApiModelProperty(value = "供应商外部连接")
    private String compUrl;

    @ApiModelProperty(value = "供应商生产许可证号")
    private String compProdLicenseNum;

    @ApiModelProperty(value = "供应商经营许可证")
    private String compManageLicenseNum;

    @ApiModelProperty(value = "供应商社会行用代码")
    private String compSocialCode;

    @ApiModelProperty(value = "供应商联系人")
    private String compConPerson;

    @ApiModelProperty(value = "供应商联系方式")
    private String compConType;

    @ApiModelProperty(value = "供应商联系账号")
    private String compConNum;

    @ApiModelProperty(value = "供应商对外qq")
    private String compQq;

    @ApiModelProperty(value = "供应商经营产平")
    private String compManageProduct;

    @ApiModelProperty(value = "所在省id")
    private String provinceId;

    @ApiModelProperty(value = "所在市id")
    private String cityId;

    @ApiModelProperty(value = "所在县id")
    private String countyId;

    @ApiModelProperty(value = "所在镇id")
    private String townId;

    @ApiModelProperty(value = "所在乡id")
    private String villageId;

    @ApiModelProperty(value = "详细位置")
    private String detailAddress;

    @ApiModelProperty(value = "经度")
    private String longitude;

    @ApiModelProperty(value = "纬度")
    private String latitude;

    @ApiModelProperty(value = "企业状态0可用，1，禁用，2删除")
    private Integer compStatus;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private Integer createId;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人id")
    private Integer updateId;

    @ApiModelProperty(value = "供应商简介")
    private String compIntroduction;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCompName() {
        return compName;
    }

    public void setCompName(String compName) {
        this.compName = compName;
    }

    public String getCompImgs() {
        return compImgs;
    }

    public void setCompImgs(String compImgs) {
        this.compImgs = compImgs;
    }

    public String getCompUrl() {
        return compUrl;
    }

    public void setCompUrl(String compUrl) {
        this.compUrl = compUrl;
    }

    public String getCompProdLicenseNum() {
        return compProdLicenseNum;
    }

    public void setCompProdLicenseNum(String compProdLicenseNum) {
        this.compProdLicenseNum = compProdLicenseNum;
    }

    public String getCompManageLicenseNum() {
        return compManageLicenseNum;
    }

    public void setCompManageLicenseNum(String compManageLicenseNum) {
        this.compManageLicenseNum = compManageLicenseNum;
    }

    public String getCompSocialCode() {
        return compSocialCode;
    }

    public void setCompSocialCode(String compSocialCode) {
        this.compSocialCode = compSocialCode;
    }

    public String getCompConPerson() {
        return compConPerson;
    }

    public void setCompConPerson(String compConPerson) {
        this.compConPerson = compConPerson;
    }

    public String getCompConType() {
        return compConType;
    }

    public void setCompConType(String compConType) {
        this.compConType = compConType;
    }

    public String getCompConNum() {
        return compConNum;
    }

    public void setCompConNum(String compConNum) {
        this.compConNum = compConNum;
    }

    public String getCompQq() {
        return compQq;
    }

    public void setCompQq(String compQq) {
        this.compQq = compQq;
    }

    public String getCompManageProduct() {
        return compManageProduct;
    }

    public void setCompManageProduct(String compManageProduct) {
        this.compManageProduct = compManageProduct;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getCountyId() {
        return countyId;
    }

    public void setCountyId(String countyId) {
        this.countyId = countyId;
    }

    public String getTownId() {
        return townId;
    }

    public void setTownId(String townId) {
        this.townId = townId;
    }

    public String getVillageId() {
        return villageId;
    }

    public void setVillageId(String villageId) {
        this.villageId = villageId;
    }

    public String getDetailAddress() {
        return detailAddress;
    }

    public void setDetailAddress(String detailAddress) {
        this.detailAddress = detailAddress;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public Integer getCompStatus() {
        return compStatus;
    }

    public void setCompStatus(Integer compStatus) {
        this.compStatus = compStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getCreateId() {
        return createId;
    }

    public void setCreateId(Integer createId) {
        this.createId = createId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getUpdateId() {
        return updateId;
    }

    public void setUpdateId(Integer updateId) {
        this.updateId = updateId;
    }

    public String getCompIntroduction() {
        return compIntroduction;
    }

    public void setCompIntroduction(String compIntroduction) {
        this.compIntroduction = compIntroduction;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", compName=").append(compName);
        sb.append(", compImgs=").append(compImgs);
        sb.append(", compUrl=").append(compUrl);
        sb.append(", compProdLicenseNum=").append(compProdLicenseNum);
        sb.append(", compManageLicenseNum=").append(compManageLicenseNum);
        sb.append(", compSocialCode=").append(compSocialCode);
        sb.append(", compConPerson=").append(compConPerson);
        sb.append(", compConType=").append(compConType);
        sb.append(", compConNum=").append(compConNum);
        sb.append(", compQq=").append(compQq);
        sb.append(", compManageProduct=").append(compManageProduct);
        sb.append(", provinceId=").append(provinceId);
        sb.append(", cityId=").append(cityId);
        sb.append(", countyId=").append(countyId);
        sb.append(", townId=").append(townId);
        sb.append(", villageId=").append(villageId);
        sb.append(", detailAddress=").append(detailAddress);
        sb.append(", longitude=").append(longitude);
        sb.append(", latitude=").append(latitude);
        sb.append(", compStatus=").append(compStatus);
        sb.append(", createTime=").append(createTime);
        sb.append(", createId=").append(createId);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", updateId=").append(updateId);
        sb.append(", compIntroduction=").append(compIntroduction);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}